${kamelets.templateHeader(basename, $)}

*Provided by: "{provider}"*

*Support Level for this Kamelet is: "{support-level}"*

jsonpathExpression::example$yaml/${basename}.kamelet.yaml[query='$.spec.definition', format='description']

== Configuration Options

ifeval::[{propertycount} == 0]
The \`{name}\` Kamelet does not specify any configuration options.
endif::[]

ifeval::[{propertycount} != 0]
The following table summarizes the configuration options available for the \`{name}\` Kamelet:

[width="100%",cols="2,^2,3,^2,^2,^3",options="header"]
|===
| Property| Name| Description| Type| Default| Example
|===

jsonpathTable::example$yaml/${basename}.kamelet.yaml[query='nodes$.spec.definition.properties.*',cellformats='util.boldLink(name)|value.title|util.description(value)|util.valueAsString(value.type)|util.valueAsString(value.default)|util.escapeAutoLinks(value.example)',{requires},transform=kamelets.sort]

endif::[]

== Dependencies

At runtime, the \`{name}\` Kamelet relies upon the presence of the following dependencies:

jsonpathList::example$yaml/${basename}.kamelet.yaml[query='nodes$.spec.dependencies.*',format='value']

== Camel JBang usage

=== *Prerequisites*

* You've installed https://www.jbang.dev/[JBang].
* You have executed the following command:

[source,shell,subs=+attributes]
----
jbang app install camel@apache/camel
----

Supposing you have a file named route.yaml with this content:

ifeval::['{type}' == 'source']
[source,yaml,subs='+attributes,macros']
----
- route:
    from:
      uri: "kamelet:\{name}\"
      parameters:
        .
        .
        .
      steps:
        - to: 
            uri: "kamelet:log-sink"
----
endif::[]

ifeval::['{type}' == 'sink']
[source,yaml,subs='+attributes,macros']
----
- route:
    from:
      uri: "kamelet:timer-source"
      parameters:
        period: 10000
        message: 'test'
      steps:
        - to: 
            uri: "kamelet:\{name}\"
----
endif::[]

ifeval::['{type}' == 'action']
[source,yaml,subs='+attributes,macros']
----
- route:
    from:
      uri: "kamelet:timer-source"
      parameters:
        period: 10000
        message: 'test'
      steps:
        - to:
            uri: "kamelet:\{name}\"
            parameters:
            .
            .
            .
        - to: 
            uri: "kamelet:log-sink"
----
endif::[]

You can now run it directly through the following command

[source,shell,subs=+attributes]
----
camel run route.yaml
----

include::partial$\{name}\-description.adoc[opts=optional]

== Kamelet source file

https://github.com/apache/camel-kamelets/blob/main/kamelets/{name}.kamelet.yaml
